#version 400

uniform vec4 color;

in  float drawThis;
out vec4 result;

// This is the actual code that is executed.
void main( void )
{
	if (drawThis < 0.9)
		discard;

	// Output the color to the appropriate multisamples
	result = color;	
}